package com.djhk.uav.airspace.service.impl;


import com.djhk.uav.airspace.domain.AirspaceWaypoint;
import com.djhk.uav.airspace.mapper.AirspaceWaypointMapper;
import com.djhk.uav.airspace.service.AirspaceWaypointService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AirspaceWaypointImpl implements AirspaceWaypointService {

    @Resource
    private AirspaceWaypointMapper airspaceWaypointMapper;


    @Override
    public AirspaceWaypoint selectAirspaceWaypointById(Long id) {
        return airspaceWaypointMapper.selectAirspaceWaypointById(id);
    }

    @Override
    public List<AirspaceWaypoint> selectAirspaceWaypointList(Long airspaceApplyId) {
        return airspaceWaypointMapper.selectAirspaceWaypointList(airspaceApplyId);
    }

    @Override
    public int insertAirspaceWaypoint(AirspaceWaypoint AirspaceWaypoint) {
        return airspaceWaypointMapper.insertAirspaceWaypoint(AirspaceWaypoint);
    }


    @Override
    public int deleteAirspaceWaypointById(Long id) {
        return airspaceWaypointMapper.deleteAirspaceWaypointById(id);
    }

    @Override
    public int deleteAirspaceWaypointByIds(Long[] ids) {
        return airspaceWaypointMapper.deleteAirspaceWaypointByIds(ids);
    }
}
